#763 Fix for CDK.getVersion()

Accepted
closed
nobody
None
master
1
2014-05-04
2014-05-03
No

It solves the issue by using a different properties file, one included by Maven :)

1 Attachments

Related

Patches: #763

Discussion

  • Egon Willighagen

    OK, better patch using John's suggested pointer at http://stackoverflow.com/a/3697482/217943

     
    • John May

      John May - 2014-05-03

      Just testing and looks good. One quick question what’s the resource excludes doing? Seems to work but I thought it might clearer to include the ‘build.props’ with filtering on. And then exclude it otherwise. Happy with it to patch but does the current settings allow the addition of other resources without modification to pom?

      J

      On 3 May 2014, at 18:25, Egon Willighagen egonw@users.sf.net wrote:

      OK, better patch using John's suggested pointer at http://stackoverflow.com/a/3697482/217943

      Attachment: 0001-Use-a-Maven-properties-file.patch (2.5 kB; text/x-patch)

      [patches:#763] Fix for CDK.getVersion()

      Status: open
      Group: Needs_Review
      Created: Sat May 03, 2014 08:46 AM UTC by Egon Willighagen
      Last Updated: Sat May 03, 2014 08:46 AM UTC
      Owner: nobody

      It solves the issue by using a different properties file, one included by Maven :)

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/cdk/patches/763/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Patches: #763

  • John May

    John May - 2014-05-03

    Okay all works great, applied and pushed. Please feel free to modify the pom includes/excludes if needed it's been a while since i've tinkered with including resources.

     
  • John May

    John May - 2014-05-03
    • status: open --> closed
    • Group: Needs_Review --> Accepted
     
  • Egon Willighagen

    • status: closed --> open
    • Group: Accepted --> Needs_Review
     
  • Egon Willighagen

    Reopening. John, you're right... let me make a fix for that...

    BTW, the reason for the set up is that it will otherwise also "filter" the binary isotopes.data file :/

     
    Last edit: Egon Willighagen 2014-05-03
  • John May

    John May - 2014-05-03

    Okay, yeah I think that sounds like good practise to exclude the parts regardless.

     
  • Egon Willighagen

    • status: open --> closed
    • Group: Needs_Review --> Accepted
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks